charts
Create a chart
POST
/
api
/
v1
/
charts
Create a chart
curl --request POST \
--url https://api.example.com/api/v1/charts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_type": "bar",
"name": "sales_by_region",
"organization_id": "th2example",
"project_id": "thaink2",
"refresh_interval": 60,
"source": {
"connection_config_id": "tool_config42",
"group_by": [
"region"
],
"query": "SELECT region, SUM(amount) FROM sales GROUP BY region",
"source_type": "database"
},
"title": "Sales by region"
}
'import requests
url = "https://api.example.com/api/v1/charts"
payload = {
"chart_type": "bar",
"name": "sales_by_region",
"organization_id": "th2example",
"project_id": "thaink2",
"refresh_interval": 60,
"source": {
"connection_config_id": "tool_config42",
"group_by": ["region"],
"query": "SELECT region, SUM(amount) FROM sales GROUP BY region",
"source_type": "database"
},
"title": "Sales by region"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chart_type: 'bar',
name: 'sales_by_region',
organization_id: 'th2example',
project_id: 'thaink2',
refresh_interval: 60,
source: {
connection_config_id: 'tool_config42',
group_by: ['region'],
query: 'SELECT region, SUM(amount) FROM sales GROUP BY region',
source_type: 'database'
},
title: 'Sales by region'
})
};
fetch('https://api.example.com/api/v1/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"query": "<string>",
"source_type": "database",
"group_by": [
"<string>"
],
"sort": {
"field": "<string>",
"order": "desc"
},
"limit": 1000,
"time_field": "<string>",
"connection_config_id": "<string>",
"source_options": {}
},
"theme": {
"color_palette": [
"#6366f1",
"#22d3ee",
"#f59e0b",
"#10b981",
"#ef4444"
],
"font_family": "Inter, sans-serif",
"dark_mode": false,
"show_legend": true,
"show_grid": true,
"show_tooltip": true
},
"dimensions": {
"width": 600,
"height": 400,
"responsive": true
},
"refresh_interval": 123,
"filters": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"permissions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"organization_id": "<string>",
"config": {},
"project_id": "thaink2"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
POST /charts
Required string length:
1 - 255Required string length:
1 - 120Available options:
bar, line, pie, donut, scatter, area, heatmap, table, stat, histogram Show child attributes
Show child attributes
Maximum string length:
500Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x > 0Show child attributes
Show child attributes
Response
Successful Response
Single chart returned by the API.
Required string length:
1 - 255Available options:
bar, line, pie, donut, scatter, area, heatmap, table, stat, histogram Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Create a time-series chartCreate a dashboardCreate a KPI stat cardSchedule automatic refresh of a chart via an agentDelete a chart⌘I
Create a chart
